% TMR4222, Spring 2017
% An example of FFT in MATLAB
% Last modified: 17 March 17, Amir Nejad, NTNU

clear all; clc;


%%%%%%%%% Calculation
dt = time(2)-time(1);

Fs=1/dt ; %sampling freq. 
n = length(SurgeMotion(indS:end)) ; %number of samples
Y = fft(SurgeMotion(indS:end)) ; %finite Fourier transform
f = (0:n-1)*(Fs/n) ; % creating frequency vector, (note : n/Fs=total time) 

figure(1);plot(f(2:length(f)/2),abs(Y(2:length(Y)/2)));
xlabel('Frequency (Hz)');
ylabel('|Y(f)|'); % Amp. of the Y, the FFT of the data
xlim([0 100]);
grid on;
